Package org.opengis.cite.iso19142

# Class FES2

java.lang.Object
org.opengis.cite.iso19142.FES2

public class FES2 extends Object
Contains various constants pertaining to standard filter expressions specified in ISO 19143:2010.

See Also:
  - "ISO 19143:2010, Geographic information -- Filter encoding"

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `FES2.VersionAction`
  VersionAction is used to filter the version chain in ResourceId.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EQUAL`
  PropertyIsEqualTo operator.
  `static final String`
  `GREATER_THAN`
  PropertyIsGreaterThan operator.
  `static final String`
  `GREATER_THAN_OR_EQUAL`
  PropertyIsGreaterThanOrEqualTo operator.
  `static final String`
  `LESS_THAN`
  PropertyIsLessThan operator.
  `static final String`
  `LESS_THAN_OR_EQUAL`
  PropertyIsLessThanOrEqualTo operator.
  `static final String`
  `NOT_EQUAL`
  PropertyIsNotEqualTo operator.
  `static final String`
  `NS`
  Namespace name.
  `static final String`
  `RESOURCE_ID`
  ResourceId operator.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NS

    public static final String NS
    Namespace name.
    See Also:
      - Constant Field Values

  - ### EQUAL

    public static final String EQUAL
    PropertyIsEqualTo operator.
    See Also:
      - Constant Field Values

  - ### NOT_EQUAL

    public static final String NOT_EQUAL
    PropertyIsNotEqualTo operator.
    See Also:
      - Constant Field Values

  - ### LESS_THAN

    public static final String LESS_THAN
    PropertyIsLessThan operator.
    See Also:
      - Constant Field Values

  - ### GREATER_THAN

    public static final String GREATER_THAN
    PropertyIsGreaterThan operator.
    See Also:
      - Constant Field Values

  - ### LESS_THAN_OR_EQUAL

    public static final String LESS_THAN_OR_EQUAL
    PropertyIsLessThanOrEqualTo operator.
    See Also:
      - Constant Field Values

  - ### GREATER_THAN_OR_EQUAL

    public static final String GREATER_THAN_OR_EQUAL
    PropertyIsGreaterThanOrEqualTo operator.
    See Also:
      - Constant Field Values

  - ### RESOURCE_ID

    public static final String RESOURCE_ID
    ResourceId operator.
    See Also:
      - Constant Field Values